Bug 592306 - Xorg crashing randomly
Xorg crashing randomly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 10:10 EDT by David Andersson
Modified: 2011-06-27 12:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace from Xorg.0.log.old (1.30 KB, application/text)
2010-05-14 10:10 EDT, David Andersson
no flags Details
Full Xorg.0.log(.old) after crash (99.84 KB, text/plain)
2010-05-17 09:55 EDT, David Andersson
no flags Details
Dmesh after crash (29.33 KB, text/plain)
2010-05-17 09:56 EDT, David Andersson
no flags Details
Another Xorg.0.log.old after crash (72.66 KB, text/plain)
2010-09-28 17:39 EDT, Benjamín Valero Espinosa
no flags Details

  None (edit)
Description David Andersson 2010-05-14 10:10:13 EDT
Created attachment 414065 [details]
Backtrace from Xorg.0.log.old

Description of problem:
Xorg crashes randomly, with the attached backtrace (xorg.0.log.old).
Some apps seem more prone to crashing the server than others, virt-manager for example


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.8.0-12.fc13
xorg-x11-drv-nouveau-0.0.16-5.20100423git13c1043.fc13
mesa-dri-drivers-experimental-7.8.1-6fc13
mesa-dri-drivers-experimental-7.8.1-6fc13


How reproducible:
Every other day randomly

Steps to Reproduce:
1. Go about your business
2. See the server crash and then reset with gdm-login
3.
  
Actual results:
Xorg server crashes

Expected results:
No crashes

Additional info:
Happens with and without mesa-dri-drivers-experimental

lspci:
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev b2)

Xorg-driver:
xorg-x11-drv-nouveau
Comment 1 Ben Skeggs 2010-05-16 19:52:45 EDT
Can I get the entire Xorg.0.log.old from after a crash please, in addition to the output of "dmesg" after the same crash.

Thanks!
Comment 2 David Andersson 2010-05-17 09:55:32 EDT
Created attachment 414557 [details]
Full Xorg.0.log(.old) after crash
Comment 3 David Andersson 2010-05-17 09:56:22 EDT
Created attachment 414558 [details]
Dmesh after crash
Comment 4 Ben Skeggs 2010-05-17 19:08:59 EDT
Thanks!  What version of libdrm are you using?
Comment 5 David Andersson 2010-05-18 04:02:37 EDT
(In reply to comment #4)
> Thanks!  What version of libdrm are you using?    

libdrm-2.4.20-1.fc13
Comment 6 Benjamín Valero Espinosa 2010-09-28 17:39:29 EDT
Created attachment 450322 [details]
Another Xorg.0.log.old after crash
Comment 7 Bug Zapper 2011-06-02 10:02:33 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 12:21:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.